Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# OdeJoint Class Reference

Inheritance diagram for OdeJoint:

List of all members.

## Public Types
enum | JointType { JTNone = 0, JTBall = 1, JTHinge = 2, JTSlider = 3, JTContact = 4, JTUniversal = 5, JTHinge2 = 6, JTFixed = 7, JTNull = 8, JTAMotor = 9, JTLMotor = 10, JTPlane2d = 11 }
## Public Member Functions
| attachBodies (OdeBody const body1, OdeBody const body2)
| Attaches two OdeBody objects to this joint.
| attachBody (OdeBody const body, int index)
| Attaches a single OdeBody to this joint at the specified index (0 or 1).
int | compareTo (OdeJoint const other)
OdeAMotorJoint | convertToAMotor ()
OdeBallJoint | convertToBall ()
OdeContactJoint | convertToContact ()
OdeFixedJoint | convertToFixed ()
OdeHingeJoint | convertToHinge ()
OdeHinge2Joint | convertToHinge2 ()
OdeLMotorJoint | convertToLMotor ()
OdeNullJoint | convertToNull ()
OdePlane2dJoint | convertToPlane2d ()
OdeSliderJoint | convertToSlider ()
OdeUniversalJoint | convertToUniversal ()
| destroy ()
| detach ()
OdeBody | getBody (int index)
OdeJointFeedback | getFeedback ()
dxJoint | getId ()
| Returns the underlying dJointID.
int | getJointType ()
bool | isEmpty ()
| Returns true if the ID is 0, meaning the OdeJoint does not point to a valid joint.
bool | operator== (OdeJoint const other)
| setFeedback (OdeJointFeedback)
| setFeedback (bool flag)
| setFeedback ()
| write ()
| write (ostream out, unsigned int indent)
| write (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Enumeration Documentation

enum JointType

Enumerator:

  JTNone |
  JTBall |
  JTHinge |
  JTSlider |
  JTContact |
  JTUniversal |
  JTHinge2 |
  JTFixed |
  JTNull |
  JTAMotor |
  JTLMotor |
  JTPlane2d |

## Member Function Documentation

attachBodies | ( | OdeBody const | body1,
|  | OdeBody const | body2
| ) |  |

Attaches two OdeBody objects to this joint.

Order is important. Consider using the OdeJoint.attach extension function if you're using the Python interface.

attachBody | ( | OdeBody const | body,
|  | int | index
| ) |  |

Attaches a single OdeBody to this joint at the specified index (0 or 1).

The other index will be set to the environment (null). Consider using the OdeJoint.attach extension function if you're using the Python interface.

int compareTo | ( | OdeJoint const | other | ) |

OdeAMotorJoint convertToAMotor | ( |  | ) |

OdeBallJoint convertToBall | ( |  | ) |

OdeContactJoint convertToContact | ( |  | ) |

OdeFixedJoint convertToFixed | ( |  | ) |

OdeHingeJoint convertToHinge | ( |  | ) |

OdeHinge2Joint convertToHinge2 | ( |  | ) |

OdeLMotorJoint convertToLMotor | ( |  | ) |

OdeNullJoint convertToNull | ( |  | ) |

OdePlane2dJoint convertToPlane2d | ( |  | ) |

OdeSliderJoint convertToSlider | ( |  | ) |

OdeUniversalJoint convertToUniversal | ( |  | ) |

destroy | ( |  | ) |

detach | ( |  | ) |

OdeBody getBody | ( | int | index | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in OdeAMotorJoint, OdeBallJoint, OdeContactJoint, OdeFixedJoint, OdeHinge2Joint, OdeHingeJoint, OdeLMotorJoint, OdeNullJoint, OdePlane2dJoint, OdeSliderJoint, and OdeUniversalJoint.

OdeJointFeedback getFeedback | ( |  | ) |

dxJoint getId | ( |  | ) |

Returns the underlying dJointID.

int getJointType | ( |  | ) |

bool isEmpty | ( |  | ) |

Returns true if the ID is 0, meaning the OdeJoint does not point to a valid joint.

It is an error to call a method on an empty joint. Note that an empty OdeJoint also evaluates to False.

bool operator== | ( | OdeJoint const | other | ) |

setFeedback | ( | OdeJointFeedback |  | ) |

setFeedback | ( |  | ) |

setFeedback | ( | bool | flag | ) |

write | ( |  | ) |

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties